import { z } from 'zod';

export const WorkDayType = z.enum(['am', 'pm', 'full']);
export type WorkDayType = z.infer<typeof WorkDayType>;

export const WorkDay = z.object({ date: z.string(), type: WorkDayType });
export type WorkDay = z.infer<typeof WorkDay>;
